Mere Code

Diverse Topics of General Interest to the Practicing Programmer

testtools compatibility

We’ve recently been getting a few bugs filed on testtools about compatibility with various versions of Python. I really want to support as many versions as I can, but I simply don’t have them on my system.

What resources are available to me if I want to set up a Hudson instance or similar that runs testtools tests against Python 2.4, 2.5, 2.6, 2.7, 3.0 and 3.1? A Windows run would also be nice.

Comments

Sidnei da Silva on 2010-10-29 00:19
You'd definitely benefit from asking that question directly to Holger.

I think you basically need to throw tox (http://pypi.python.org/pypi/tox) at the problem and see if it sticks though.
Benjamin on 2010-10-25 18:40
testrun.org perhaps